Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBPendingMessage.Row

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBPendingMessage.Row

All Implemented Interfaces:
  DBRow

Enclosing class:
  DBPendingMessage

public final class DBPendingMessage.Row
extends Object
implements DBRow

Constructor Summary
`DBPendingMessage.Row(DBSession.Row session, long pendingId, DBSystem.Row system, DBSystem.Row mailTo, String message, int lastSend)`

Method Summary
`void` | `backup(DataOutputStream dos)`
`boolean` | `closed()`
`void` | `delete()`
`boolean` | `equals(Object o)`
`Object` | `getKey()`
`List` | `getKeys()`
`int` | `getLastSend()`
`DBSystem.Row` | `getMailTo()`
`String` | `getMessage()`
`long` | `getPendingId()`
`DBSession.Row` | `getSession()`
`DBSystem.Row` | `getSystem()`
`void` | `httpSend()` Sends message via http
`void` | `send()` Calls the appropriate method for sending messages.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBPendingMessage.Row

    public DBPendingMessage.Row(DBSession.Row session,
                                long pendingId,
                                DBSystem.Row system,
                                DBSystem.Row mailTo,
                                String message,
                                int lastSend)

Method Detail

### delete

    public void delete()
                throws Exception

### closed

    public boolean closed()

### getSession

    public DBSession.Row getSession()

### getPendingId

    public long getPendingId()

### getSystem

    public DBSystem.Row getSystem()

### getMailTo

    public DBSystem.Row getMailTo()

### getLastSend

    public int getLastSend()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getKeys

    public List getKeys()

  Specified by:
    `getKeys` in interface `DBRow`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `DBRow`

### getMessage

    public String getMessage()

### send

    public void send()
              throws Exception

  Calls the appropriate method for sending messages.

### httpSend

    public void httpSend()
                  throws Exception

  Sends message via http

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Specified by:
    `backup` in interface `DBRow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD